<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\ProjectModel;

class ProjectModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(ProjectModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(ProjectModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(ProjectModel::class);
    }
}
